# Barry::vSmartPtr< T, FT, FreeFunc > Class Template Reference

`#include <vsmartptr.h>`

Collaboration diagram for Barry::vSmartPtr< T, FT, FreeFunc >:

[legend]

List of all members.

## Detailed Description

### template<class T, class FT, void(*)(FT *pt) FreeFunc>
class Barry::vSmartPtr< T, FT, FreeFunc >

A special smart pointer for variables that have their own special 'free' functions.

Behaves like std::auto_ptr<> in that only one object at a time owns the pointer, and destruction frees it by calling the given FreeFunc.

Definition at line 36 of file vsmartptr.h.

The documentation for this class was generated from the following file:

- vsmartptr.h